extends Scene


func _on_beach_interacted() -> void:
	$kq4_001_beach.default_script(self)


func _on_beach_at_river_delta_interacted() -> void:
	$kq4_025_beach_at_river_delta.default_script(self)


func _on_coastal_cliffs_interacted() -> void:
	$kq4_019_coastal_cliffs.default_script(self)


func _on_beach_13_interacted() -> void:
	$kq4_013_beach.default_script(self)


func _on_ocean_near_island_interacted() -> void:
	$kq4_032_ocean_near_island.default_script(self)


func _on_desert_island_interacted() -> void:
	$kq4_043_desert_island.default_script(self)


func _on_inside_whale_interacted() -> void:
	$kq4_044_inside_whale.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You are swimming in a great ocean. Playful fish leap about you as you swim.")
	).build(self, "_on_script_complete"))


func _on_ocean_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("The endless ocean stretches in all directions. Waves gently lap around you.")
	).build(self, "_on_script_complete"))
